<template>
    <q-item clickable v-ripple to="`/rule/${rule.id}`">
        <q-item-section>
            <q-item-label> {{ rule.name }}</q-item-label>
            <q-item-label caption lines="2"> {{ rule.description }}
            </q-item-label>
        </q-item-section>
        <q-item-section side top>
            <q-badge color="teal" :label="rule.triggerType"/>
        </q-item-section>
    </q-item>
</template>

<style lang='scss' scoped>

</style>

<script lang='ts'>
import {Component, Prop, Vue} from 'vue-property-decorator';
import {RulePrincipalResponse} from "src/classLibrary/APIModels/core/rulePrincipalResponse";


@Component
export default class RuleItem extends Vue {
    @Prop() rule!: RulePrincipalResponse
}
</script>
